/*------------------------------------------------------------------------------\
 * @package:    React Project Template
 * @author:     Richard Winters
 * @copyright:  2022 Richard B Winters
 * @license:    Apache-2.0 <http://www.apache.org/licenses/LICENSE-2.0>
 * @version:    0.1.1
 *------------------------------------------------------------------------------/
 *
 * TOC
 *
 * 1. Structural Styles
 *----------------------------------------------------------------------------*/


/******************************************************************************\
 * 1. Structural Styles
******************************************************************************/

.kwaeri-app_container {
    margin: 0;
    padding: 0;
    min-height: 100vh;

    .kwaeri-app_container+inner {
        display: flex;
        margin: 0 8px;
        padding: 12px 0;
        min-height: 100vh;
        border: none;
        text-align: center;

        .content-block {
            margin: 0;
            padding: 8px;
            flex: 1 1 auto;
            width: 100%;
            border: 1px solid #ddd;

            &_inner {
                height: auto;
                width: 100%;

                .content-wrap {
                    display: flex;
                    flex-flow: column;
                }

                .focus-header {
                    width: 100%;

                    .header-wrap {
                        padding: 0;
                    }
                }

                .focus-content {
                    width: 100%;
                    height: 100%;

                    .component-content_container {
                        position: relative;
                    }
                }

                .component_container {
                    position: relative;
                    padding-bottom: 48px;
                    height: 100%;

                    @extend .content-wrap;

                    .component {
                        position: relative;
                        margin-top:24px;

                        &.no-content {
                            top: 50%; left: 50%;
                            transform: translate(-50%,-50%);
                        }

                        .component-item {
                            margin: 8px 0;
                            padding: 8px 12px;
                            width: 100%;
                            display: block;
                            position: relative;

                            .field-highlight {
                                color: $theme-surface-secondary;
                            }

                            .component-preview_container {
                                position: relative;
                                display: block;
                                text-align: left;

                                &+title {
                                    display: inline-block;
                                    width: auto;
                                    text-align: left;
                                }

                                &+excerpt {
                                    display: none;
                                    width: auto;
                                    text-align: left;
                                }
                            }

                            .component-details_container {
                                margin: 0;
                                padding: 0;
                                position: relative;
                                display: block;
                                width: 100%;
                                font-size: 80%;

                                &-left {
                                    margin: 0;
                                    padding: 0;
                                    position: relative;
                                    display: block;
                                    width: 100%;
                                    float: left;

                                    &+author {
                                        margin: 0;
                                        padding: 0;
                                        display: inline-block;
                                        width: auto;
                                        text-align: left;
                                        float: left;
                                    }

                                    &+item-count {
                                        margin: 0;
                                        padding: 0;
                                        display: inline-block;
                                        width: auto;
                                        text-align: left;
                                        float: right;
                                    }
                                }

                                &-right {
                                    margin: 0;
                                    padding: 0;
                                    position: relative;
                                    display: none;
                                    width: auto;
                                    float: right;

                                    &+last-update-timestamp {
                                        margin: 0;
                                        padding: 0;
                                        display:block;
                                        width: 100%;
                                        text-align: left;
                                    }
                                }
                            }
                        }

                    }
                }

                .theme-default-button {
                    position: relative;

                    border-color: $theme-surface-secondary;
                    color: $theme-surface-secondary;
                    border-radius: 1px;

                    &:hover {
                        background-color: $theme-surface-secondary;
                        color: $theme-on-surface-secondary;
                    }

                    &:active,
                    &:focus {
                        background-color: $theme-surface-secondary;
                        border-color: $theme-surface-secondary;
                        color: $theme-on-surface-secondary;
                        outline: $theme-surface-secondary;
                        box-shadow:  0 0 10px $theme-surface-secondary;
                    }
                }

                .theme-cancel-button {
                    position: relative;

                    border-color: $theme-surface-primary;
                    color: $theme-surface-primary;
                    border-radius: 1px;

                    &:hover {
                        background-color: $theme-surface-primary;
                        color: $theme-on-surface-primary;
                    }

                    &:active,
                    &:focus {
                        background-color: $theme-surface-primary;
                        border-color: $theme-surface-primary;
                        color: $theme-on-surface-primary;
                        outline: $theme-surface-primary;
                        box-shadow:  0 0 10px $theme-surface-primary;
                    }
                }

                .theme-divider {
                    margin: 32px 24px;
                    height: 1px;
                    border: 0;
                    background: $theme-surface-secondary;
                    box-shadow: 0 0 10px $theme-under-on-color;

                    &.gray {
                        background-color: $theme-over-on-color !important;
                    }

                    &.stylish {
                        height: 2px;
                        border-radius: 150% !important;
                    }

                    &.full-width {
                        margin: 32px 0 !important;
                    }

                    &+transition {
                        @extend .purple-divider;

                        height: 0px;
                        background-color: transparent;
                        border-bottom: 3px;
                        border-style: dashed;
                        border-color: $theme-surface-secondary;

                        &.gray {
                            background-color: transparent !important;
                            border-color: $theme-over-on-color !important;
                        }

                        &.stylish {
                            height: 0px;
                        }

                        &.full-width {
                            margin: 32px 0;
                        }
                    }

                }
            }
        }

        // Small devices (landscape phones, 576px and up)
        @media (min-width: 576px) {
            margin: 0 16px;
            padding: 12px 8px;

            .content-block {
                padding: 16px;

                &_inner {

                    .component_container {

                        .component {
                            margin-top: 32px;

                            .component-item {
                                margin: 12px 0;
                                padding: 12px 16px;

                            }
                        }
                    }
                }
            }
        }

        // Medium devices (tablets, 768px and up)
        @media (min-width: 768px) {
            margin: 0 32px;
            padding: 16px;

            .content-block {
                padding: 24px;

                &_inner {

                    .component_container {

                        .component {
                            margin-top: 48px;

                            .component-item {
                                margin: 24px 0;
                                padding: 12px 24px;

                                .component-preview_container {

                                    &+title {
                                       margin-right: 12px;
                                    }

                                }

                                .component-details_container {
                                    width: 100%;
                                    font-size: 100%;

                                    &-left{
                                        width: auto;

                                        &+author {
                                            margin-right: 12px;
                                            float: none;
                                        }

                                        &+item-count {
                                            float: none;
                                        }
                                    }

                                    &-right {
                                        display: block;
                                    }
                                }

                            }

                        }
                    }

                    .theme-divider {

                        &.vertical-button-divider {
                            display: none !important;
                        }
                    }

                }
            }
        }

        // Large devices (desktops, 992px and up)
        @media (min-width: 992px) {
            margin: 0 48px;
            padding: 24px;

            .content-block {
                padding: 24px;
            }
        }

        // Extra large devices (large desktops, 1200px and up)
        @media (min-width: 1200px) {
            margin: 0 64px;

            .content-block {
                padding: 24px;
            }
        }
    }
}

